<!DOCTYPE html>
<html lang="en">

<head>
    <title>Simple HTML Example</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f0f0f0;
        }

        header {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 1em 0;
        }

        nav {
            background-color: #CCC;
            color: #fff;
            padding: 0.5em;
        }

        nav ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
        }

        nav ul li {
            display: inline;
            margin-right: 10px;
            padding: 5px;
        }

        nav ul li.nav-item {
            border: 2px solid #ddd;
        }

        nav ul li.selected {
            border: 2px solid #fff;
        }

        main {
            padding: 20px;
        }

        #mainContainer {
            margin-left: 20%;
            margin-right: 20%;
        }

        section {
            margin-bottom: 20px;
        }

        form {
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        form label,
        form input,
        form textarea,
        form button {
            display: block;
            margin-bottom: 15px;
        }

        footer {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 1em 0;
        }
    </style>
</head>

<body>

    <header>
        <h1>Welcome to My Simple Website</h1>
    </header>

    <nav>
        <ul>
            <li class="nav-item"><a href="#">Home</a></li>
            <li class="nav-item"><a href="#">Page 1</a></li>
            <li class="nav-item"><a href="#">Page 2</a></li>
            <li class="nav-item"><a href="#">Page 3</a></li>
            <li class="nav-item selected"><a href="#">About</a></li>
            <li class="nav-item"><a href="#">Contact</a></li>
        </ul>
    </nav>

    <main>
        <div id="mainContainer">
            <section>
                <h2>This Document</h2>
                <p>This is a simple example of an HTML file. We will use this file to experiment with selectors in CSS,
                    javascript and jQuery.</p>
                <button id="listNavItemsBtn">List Nav Items</button>
                <button id="changeSelectedNavItemBtn">Change Selected Nav Item</button>
                <button id="updateDivContents">Update Div Contents</button>
            </section>

            <section>
                <h2>Submit a Query</h2>
                <form id="queryForm" action="#" method="post">
                    <label for="name">Name:</label>
                    <input type="text" id="name" name="name" required>

                    <label for="email">Email:</label>
                    <input type="email" id="email" name="email" required>

                    <label for="message">Message:</label>
                    <textarea id="message" name="message" rows="4" required></textarea>

                    <button type="submit">Submit</button>
                </form>
            </section>
        </div>



        <section>
            <h2>Contact Information</h2>
            <p>Email: example@email.com</p>
            <p>Phone: 123-456-7890</p>
        </section>

    </main>

    <footer>
        <p>&copy; 2023 Simple HTML Example. All rights reserved.</p>
    </footer>

    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script>
        $(document).ready(function () {
            // Get the form and attach a submit event listener
            $('#queryForm').submit(function (event) {
                // Prevent the default form submission
                event.preventDefault();

                // Get the input values
                var name = $('#name').val();
                var email = $('#email').val();
                var message = $('#message').val();

                // Create the popup content
                var popupContent = 'Name: ' + name + '\nEmail: ' + email + '\nMessage: ' + message;

                // Display the popup
                alert(popupContent);
            });

            // List nav items button click event
            $('#listNavItemsBtn').click(function () {
                var navItems = $('.nav-item a');
                var navItemTexts = [];
                navItems.each(function () {
                    navItemTexts.push($(this).text());
                });
                alert('Nav Items: ' + navItemTexts.join(', '));
            });

            // Change selected nav item button click event
            $('#changeSelectedNavItemBtn').click(function () {
                var selectedItem = $('.nav-item.selected');
                var nextItem = selectedItem.next('.nav-item');

                if (nextItem.length === 0) {
                    nextItem = $('.nav-item:first-child');
                }

                selectedItem.removeClass('selected');
                nextItem.addClass('selected');
            });

            // Update div contents button click event
            // When the button is clicked, we will add a new section to the main container
            $('#updateDivContents').click(function () {
                var newSection = $('<section><h2>New Section</h2><p>This is a new section that was added using jQuery.</p><button id="remove_section">Remove Me</button></section>');
                $('#mainContainer').append(newSection);
            });

            // When the remove section button is clicked, we will remove the section from the main container
            $('#mainContainer').on('click', '#remove_section', function () {
                $(this).parent().remove();
            });
        });
    </script>
</body>

</html>